Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	A Gnome based SIP/H323 teleconferencing application
Name:		ekiga
Version:	3.2.6
Release:	1
BuildArch:	i686
URL:		http://www.ekiga.org
Source0:	http://www.ekiga.org/%{name}-%{version}.tar.bz2
License:	GNU/GPL
Group: 		Networking/Chat
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires: ptlib
Requires: opal >= 3.4.2
Requires: GConf
Requires: libgnomeui
Requires: libgnome
Requires: avahi
Requires: evolution-data-server

PreReq:    	scrollkeeper

Requires(post): GConf scrollkeeper
Requires(postun): scrollkeeper

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: avahi-devel
BuildRequires: cairo-devel
BuildRequires: cyrus-sasl-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: DirectFB-devel
BuildRequires: evolution-data-server-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnutls-devel
BuildRequires: gst-plugins-base-devel
BuildRequires: gstreamer10-devel
BuildRequires: gtk2+-devel
BuildRequires: libbonobo-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libnotify-devel
BuildRequires: libpng-devel
BuildRequires: libsigc++-devel
BuildRequires: libsoup-devel
BuildRequires: libstdc++-devel
BuildRequires: libtasn1-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: libXv-devel
BuildRequires: opal-devel
BuildRequires: openldap-devel
BuildRequires: openssl-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: ptlib-devel
BuildRequires: SDL-devel
BuildRequires: speex-devel
BuildRequires: sysfsutils-devel
BuildRequires: zlib-devel gnome-doc-utils scrollkeeper

%description
Ekiga is a tool to communicate with video and audio over the internet.
It uses the standard SIP and H323 protocols.

%pre
if [ "$1" -gt 1 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
%{_sysconfdir}/gconf/schemas/ekiga.schemas > /dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
%{_sysconfdir}/gconf/schemas/ekiga.schemas > /dev/null || :

scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%preun
if [ "$1" -eq 0 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
%{_sysconfdir}/gconf/schemas/ekiga.schemas > /dev/null || :
fi

touch --no-create %{_datadir}/icons/hicolor

if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
scrollkeeper-update -q || :

%prep
%setup -q

%build
CXXFLAGS="$RPM_OPT_FLAGS -DLDAP_DEPRECATED=1 -fPIC"
%configure --disable-scrollkeeper
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# removing unwanted stuff
rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%_bindir/ekiga
%_bindir/ekiga-helper
%_bindir/ekiga-config-tool
%_applications
%_pixmaps
%_mandir
%_datadir/sounds
%_sysconfdir/gconf/schemas/ekiga.schemas
%_datadir/dbus-1/services/
%_datadir/icons

%changelog
* Mon Nov 23 2009 Christian Metzen <metzench@ccux-linux.de> 3.2.6-1
- Version update
* Sun Apr 05 2009 Christian Wasem <wasem@ccux-linux.de> 3.2.0-1
- Version update
* Thu Mar 26 2009 Christian Metzen <metzench@ccux-linux.de> 3.0.2-1
- Version update
* Sun Jan 11 2009 Christian Metzen <metzench@ccux-linux.de> 3.0.1-3
- rebuild against evolution-data-server-2.24.2
* Tue Dec 23 2008 Christian Metzen <metzench@ccux-linux.de> 3.0.1-2
- modified post scriplets
* Tue Dec 23 2008 Christian Metzen <metzench@ccux-linux.de> 3.0.1-1
- Version update
- added auto BR
* Tue Mar 25 2008 Christian Wasem <wasem@ccux-linux.de> 2.0.12-2
- rebuild, changed group to Networking/Chat
* Sat Mar 22 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.12-1
- Version update
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 2.0.11-1
- Version update
* Wed Mar 21 2007 Christian Metzen <metzench@ccux-linux.de> 2.0.7-1
- Version update
* Fri Nov 17 2006 Christian Metzen <metzench@ccux-linux.de> 2.0.3-1
- Initial release
